#!/bin/sh
build ()
{
	for j in fpu k3d sse; do
		nasm -t -f $1 $3 -o pv$j$4.o pvoc_$j.s
	done
	ar rc $2/$1.a *.o
}

mkdir normal pro float floatpro both floatbot &> /dev/null
for i in aout aoutb coff elf win32 rdf macho; do
	nasm -t -f $i -o metaxpon.o metaxpon.s
	build $i normal
	build $i pro -dPRO=1
	build $i float -dFLOAT_DATA=1
	build $i floatpro "-dPRO=1 -dFLOAT_DATA=1"
#	build $i fast -dFFTBITS=11
#	build $i floatfas "-dFFTBITS=11 -dFLOAT_DATA=1"
	rm -f *.o
	nasm -t -f $i -dstatic -dPRO=1 -o mx_pro.o metaxpon.s
	cp -f normal/$i.a both/
	build $i both "-dstatic -dPRO=1" pro
	cp -f float/$i.a floatbot/
	build $i floatbot "-dstatic -dPRO=1 -dFLOAT_DATA=1" pro
	rm -f *.o
done
